// creator  : weidu.exe (version 23100)
// argument : _FLAMGG.DLG
// game		 : .
// source	 : ./override/_FLAMGG.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_FLAMGG~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #85439 /* ~The entrance tax is 6 gold pieces for each party of travelers.  Please announce your point of origin.~ */
  IF ~~ THEN REPLY #19659 /* ~Beregost~ */ DO ~TakePartyGold(6)
~ GOTO 1
  IF ~~ THEN REPLY #85440 /* ~Amn~ */ DO ~TakePartyGold(6)
~ GOTO 1
  IF ~~ THEN REPLY #15757 /* ~Nashkel~ */ DO ~TakePartyGold(6)
~ GOTO 1
  IF ~~ THEN REPLY #85441 /* ~The mystical land of frolicking naked nymphs, where your every desire is granted by bald blubbering bugbears.  Hee!  Hee!~ */ DO ~TakePartyGold(6)
~ GOTO 2
  IF ~~ THEN REPLY #14931 /* ~Candlekeep~ */ DO ~TakePartyGold(6)
~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.4 0.2 0.1 0.0
  SAY #85442 /* ~You'll have to wait here, my commander wishes to have a word with you.~ */
  IF ~~ THEN DO ~CreateCreature("_SCAR",[1212.1150],0)
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.3
  SAY #85443 /* ~I don't like your sarcasm.  If you won't co-operate, then I'll just bring you to talk with my commander.~ */
  IF ~~ THEN DO ~CreateCreature("_SCAR",[1212.1150],0)
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #76882 /* ~I am a proud member of the Flaming Fist.  Our headquarters is in Baldur's Gate, though we also operate in Beregost and the Friendly Arm inn.  We are quite concerned about the sudden rarity of iron.  Many think that the nation of Amn is gearing up for war against our great city.  If this were the case, I don't know how well we would do, lacking a resource as important as iron.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #76883 /* ~Rising tensions with Amn

I charmed a member of the Flaming Fist, and he told me that there were tensions between Baldur's Gate and the nation of Amn.  He also said that the Flaming Fist is desperately in need of iron.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #75349 /* ~You're not welcome here!~ */
  IF ~~ THEN EXIT
END
